/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:14pm
Filepath: scripts\Items\artifacts\champion spawns\SashOfElements.cs
Lines of code: 37

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class SashOfElements : BodySash
	{

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public SashOfElements()
		{
			Name = "Sash of Elements";
			Hue = 27;
			Resistances.Physical = -30;
			Resistances.Fire = 15;
			Resistances.Cold = 15;
			Resistances.Poison = 15;			
			Resistances.Energy = 15;
		}


		public SashOfElements( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();}
			
			
		public override void OnAfterLoad()
		{		
			Misc.ObjectConverter.ConvertItem(this,new SashOfTheElementalKinship());
		}
	}
}